﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */
html {
    height: 100%;
}

body {
    min-height: 100%;
    padding: 0;
    margin: 0;
    padding-top: 50px;
    padding-bottom: 20px;
    position: relative;
    background-color: #988f87;
    /*background-image: url('/images/block.jpg');*/
    /*background-image: url('/images/t3.jpg');
    background-size: cover;*/
}

    body::after {
        content: '';
        display: block;
        height: 2.5rem; /* Set same as footer's height */
    }
/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}
/* QR code generator */
#qrCode {
    margin: 15px;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 2.5rem;
    background-color: #222222;
    color: #9d9d9d;
    align-self: center;
    display: table;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

img {
    box-shadow: 5px 10px 18px #000;
    margin-bottom: 20px;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
    display: block;
}

.someImg {
    box-shadow: none;
    margin-bottom: 0;
    width: 24px;
    height: 24px;
    margin-right: 0;
}

.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black;
}

    .tooltip .tooltiptext {
        visibility: hidden;
        width: 120px;
        background-color: black;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        padding: 5px 0;
        /* Position the tooltip */
        position: absolute;
        z-index: 1;
    }

    .tooltip:hover .tooltiptext {
        visibility: visible;
    }

.wrap-collabsible {
    margin-bottom: 1.2rem 0;
}

.modal {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: none;
    overflow: auto;
    background-color: #000000;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 9999;
    text-align: center;
    align-items: center;
}

.modal-window {
    position: relative;
    background-color: #9d9d9d;
    width: 50%;
    margin: auto auto;
}

    .modal-window.small {
        margin-top: 30px;
        position: fixed;
        top: 5%;
        left: 5%;
        height: 90%;
        width: 90%;
        transform: translate(0,0);
    }

    .modal-window.large {
        width: 100%;
    }

.modal-title-div {
    margin-bottom: 20px;
}

.close {
    position: fixed;
    top: 0;
    right: 0;
    color: black;
    height: 30px;
    width: 30px;
    font-size: 30px;
    line-height: 30px;
    text-align: center;
}

    .close:hover,
    .close:focus {
        color: #000000;
        cursor: pointer;
    }

.open {
    display: block;
}

button {
    padding: 15px;
    font-size: 12px;
    background: indianred;
    color: #000;
    border: none;
    margin: 0 auto;
    display: block;
    background-color: slategray
}

.bottom {
    position: absolute;
    right: 0;
    bottom: 0;
}

.subheading {
    font-style: italic
}

.myIframe {
    margin: 0 auto;
    display: block;
    position: absolute;
    top: 15%;
    left: 5%;
    width: 90%;
    height: 70%;
}

h3 {
    text-align: center;
    word-wrap: break-word;
    font-family: Quicksand;
}

.link {
    font-size: 3vw;
    margin: auto auto;
}

a {
    color: #075307;
}

    a:link {
        color: #075307;
    }

    a:visited {
        color: #075307;
    }

    a:hover {
        cursor: pointer;
    }

h2 {
    text-align: center;
    word-wrap: break-word;
    font-family: Quicksand;
}

@font-face {
    font-family: 'Bungee', cursive;
    /*src: url("~/fonts/Bungee-Regular.ttf");*/
}

h1 {
    text-align: center;
    /*font-family: Impact;*/
    font-family: Bungee;
    color: black;
    word-wrap: break-word;
}

.commonBackGround {
    background: url('/images/net1.png');
}

.divBorder {
    border: 2px solid black;
    margin: 0 auto;
    text-align: center;
    width: fit-content;
    height: fit-content;
    left: 0;
    top: 50%;
    padding-left:25px;
    padding-right:25px;
}

.logoDiv {
    margin: 0 auto;
    /*width: 344px;*/
    margin-top: 20px;
}

.iframe-container1 {
    overflow: hidden;
    position: relative;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    height: 90px;
}

    .iframe-container1 iframe {
        border: 0;
        height: 100%;
        /*left: 0;*/
        /*position: absolute;*/
        top: 0;
        /*width: 100%;*/
        margin: 0 auto;
        display: block;
    }

.adDiv1 {
    width: 728px;
    height: 90px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
}

p {
    word-wrap: break-word;
    font-family: Quicksand;
    font-size:medium;
}

.navText {
    float: left;
    color: gray;
    margin-left: 15px;
    margin-right: 15px;
    margin-top: auto;
    margin-bottom: auto;
    font-size: 18px;
    line-height: 20px;
}

.navtd {
    padding-top: 15px;
    padding-bottom: 15px;
}

    .navtd p {
        margin-right: 0;
    }

.cookie-banner {
    position: fixed;
    /*bottom: 140px;*/
/*    left: 10%;
    right: 10%;*/
    height: 100%;
    width: 100%;
    padding: 5px 14px;
    display: grid;
    align-items: center;
    justify-content: space-between;
    background-color: #eee;
    border-radius: 5px;
    box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);
    z-index:100;
}

.close2 {
    /*height: 50px;*/
    background-color: #2f8400;
    border: none;
    color: white;
    border-radius: 2px;
    cursor: pointer;
}
#map {
    /*height: 100%;*/
    /*width: 100%;*/
    /*position: absolute;*/
    /*background-color: darkgray;*/
    /*display: grid;
    column-gap: 32px;
    row-gap: 64px;*/
    /*grid-template-columns: repeat(auto, 1fr);*/
    /*grid-template-columns: repeat(auto-fit, minmax(128px, auto));*/
    overflow-y: scroll;
    overflow-x: scroll;
    /*height: 50vh;*/
    height: calc(100vh - (175px + 13vh + 2.5rem));
    position: relative;
    cursor: grab;
    overflow: auto;
}
.ellipse-container {
    /*    display: flex;
    justify-content: center;
    align-items: center;*/
    width: 128px;
    height: 128px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    /*background: orange;*/
    display: flex;
    justify-content: center;
    align-items: center;
}
.ellipse {
    position:absolute;
    background-color: #beb2a8;
/*    height: 64px;
    width: 64px;*/
    border-radius: 50%;
    cursor: default;
}

.BrowserHeaderContainer {
    display: grid;
    height: 13vh;
    grid-template-areas: "a c b";
    padding-left: 5px;
    padding-right: 0;
}
    .BrowserHeaderContainer .imgContainer {
        grid-area: c;
        margin: auto auto;
    }
        .BrowserHeaderContainer .imgContainer img {
            box-shadow: 0 0 0;
        }
    .BrowserHeaderContainer .titleContainer {
        grid-area: a;
        margin: auto auto;
    }

    .BrowserHeaderContainer h1 {
        font-size: 3vh;
        margin: auto auto;
    }

    .BrowserHeaderContainer .optionContainer {
        margin: 0 auto auto 0;
        grid-area: b;
        height: 3vh;
        padding-right: 5px;
    }
    .BrowserHeaderContainer .optionContainer p {
        font-size: 2vh;
        margin: auto auto;
    }

    .BrowserHeaderContainer .optionContainer input {
        height: 4vh;
        width: 4vh;
        margin: auto auto;
    }
@media (max-width: 480px){
    .BrowserHeaderContainer h1 {
        font-size: 2vh;
    }
    .link {
        /*font-size: 2.5vh;*/
    }
}
@media (max-width: 1000px) {
    .link {
        font-size: 3vh;
    }
}